<html th:replace="~{layout :: layout(~{::content},'')}" xmlns:th="http://www.thymeleaf.org">
	<head>
		<title>Demande d'ami</title>
				
	</head>
	<body>
		<div th:fragment="content">
			<h1>Envoyer une demande d'ami</h1>
			
			<script>
				$(function () {
					$('#search-input').keyup(function () {
						console.log('input detected');
						$.ajax({url:'[[@{/api/user/}]]?q=' +$(this).val()}).done(function (result) {
							$.each (result, function (key, item) {
								$('#suggestions').empty().append($('<option>').text(this.pseudo));
							});
						});
					});
				});
			</script>
			<div class="alert alert-success" th:if="${succes!=NULL}"th:text="${succes}"></div>
			<div class="alert alert-danger" th:if="${erreur!=NULL}"th:text="${erreur}"></div>
			<form  action="#" th:action="@{/addfriends}" method="post">
				<label>Pseudo :</label>
				<input class="form-control" id="search-input" th:field="${friend.pseudo}" autocomplete="off" list="suggestions" />
				<datalist id="suggestions">
			</datalist>
				<button type="submit" class="btn btn-primary" name="action" value="send">Envoyer la demande</button>
			</form>
		</div>
	</body>
</html>